#include <bits/stdc++.h>
using namespace std;
const int DIM = 36;
long long n,c,q,d,b,f;
long long a[100008];
string s;
int main(){
ios_base::sync_with_stdio(0);
cin.tie(0);
cout.tie(0);
cin>>s;
cin>>n;
c=0;
for(int j=0;j<s.size();j++){
        if(s[j]>s[j+1]){
            c++;
        }
        a[j]+=c;
    }
for(int i=1;i<=n;i++){
    cin>>d>>b;
    q=a[d-2];
    f=a[b-2];
    cout<<abs(q-f)+1<<endl;

}
    return 0;
}
